Bug 1284004 - Mysql57: Creating Process Instances filter with PROCESSID as a parameter results a modal dialog error
Mysql57: Creating Process Instances filter with PROCESSID as a parameter resu...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
urgent Severity high
: CR2
: 6.2.0
Assigned To: Neus Miras
Pavel Kralik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 09:09 EST by Pavel Kralik
Modified: 2015-12-02 12:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modal error in PI (48.99 KB, image/png)
2015-11-20 09:09 EST, Pavel Kralik
no flags Details
Server log (594.16 KB, text/plain)
2015-11-20 09:16 EST, Pavel Kralik
no flags Details

  None (edit)
Description Pavel Kralik 2015-11-20 09:09:09 EST
Created attachment 1097211 [details]
Modal error in PI

Description of problem:
Creating Filter with PROCESSID equals_to $PROCESSID results in Modal Error in BC and SQL error in server log

Version-Release number of selected component (if applicable):
BPMS 6.2.0.CR1

How reproducible:
Always

Steps to Reproduce:
1. Go to process instances and create filter with PROCESSID equals_to $PROCESSID
2. 
3.

Actual results:
Modal dialog error

Expected results:
Filter is created

Additional info:
23:29:50,316 ERROR [org.dashbuilder.dataprovider.backend.sql.JDBCUtils] (http-localhost/127.0.0.1:8080-12) SELECT COUNT(*) FROM (SELECT * FROM (select pil.processInstanceId pid,
       pil.processId pname,
       v.id varid,
       v.variableId varname,
       v.value varvalue
from ProcessInstancelog pil
  inner join (select vil.processInstanceId ,vil.variableId, MAX(vil.ID) maxvilid  FROM VariableInstanceLog vil
  GROUP BY vil.processInstanceId, vil.variableId)  x
    on (x.processInstanceId =pil.processInstanceId)
  INNER JOIN VariableInstanceLog v
    ON (v.variableId = x.variableId  AND v.id = x.maxvilid )) AS `dbSQL`) AS `dbSQL`
23:29:50,316 ERROR [org.dashbuilder.dataset.backend.exception.ExceptionManager] (http-localhost/127.0.0.1:8080-12) Can't get metadata on specified data set: jbpmProcessInstancesWithVariables: org.dashbuilder.dataset.exception.DataSetLookupException: Can't get metadata on specified data set: jbpmProcessInstancesWithVariables
Comment 2 Pavel Kralik 2015-11-20 09:16 EST
Created attachment 1097215 [details]
Server log
Comment 3 Neus Miras 2015-11-24 17:39:27 EST
the query has been changed considering the case sensitive treatment of the table names.
The commits:
6.3.x
https://github.com/droolsjbpm/jbpm-console-ng/commit/0280ce86ad40d825716b73f9e40ea101b3af5dcc 

master:
https://github.com/droolsjbpm/jbpm-console-ng/commit/e761b33bb355f74089de65f005e5a07ff75d0b8e
Comment 5 Pavel Kralik 2015-12-02 12:42:22 EST
BPMS 6.2.0.CR2

Note You need to log in before you can comment on or make changes to this bug.